> ## Documentation Index
> Fetch the complete documentation index at: https://docs.runalloy.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Connector Credentials Metadata

> Get connector credentials metadata



## OpenAPI

````yaml get /connectors/{connectorId}/credentials/metadata
openapi: 3.0.1
info:
  title: Connectivity API
  description: >
    The Alloy Connectivity API enables you to create and manage MCP (Model
    Context Protocol) servers that provide secure, controlled access to platform
    integrations for AI assistants.
  version: '1.0'
  contact:
    name: Alloy Support
    email: support@runalloy.com
    url: https://runalloy.com
servers:
  - url: https://production.runalloy.com
    description: Production server
security: []
tags:
  - name: Connectors
    description: Get connector details and execute actions
  - name: Credentials
    description: Manage credentials for connectors
  - name: Files
    description: Manage file uploads and downloads
  - name: Users
    description: Manage users
paths:
  /connectors/{connectorId}/credentials/metadata:
    get:
      tags:
        - Credentials
      summary: Get Connector Credentials Metadata
      description: Get connector credentials metadata
      operationId: get-connector-credentials-metadata
      parameters:
        - name: x-api-version
          in: header
          required: true
          description: API version
          schema:
            type: string
            default: 2025-09
          example: 2025-09
        - name: x-alloy-userid
          in: header
          required: false
          description: >-
            The ID of the user making the request; If not provided, the request
            will be made as the API Key user
          schema:
            type: string
          example: 68b666094a6821e749c36006
        - name: connectorId
          in: path
          required: true
          description: Connector ID
          schema:
            type: string
          example: slack
      responses:
        '200':
          description: List of credentials metadata
          content:
            application/json:
              schema:
                type: object
                properties:
                  metadata:
                    type: array
                    items:
                      type: object
                      required:
                        - authenticationType
                        - inputSchema
                      properties:
                        authenticationType:
                          type: string
                          description: Type of authentication method
                        authConfigRequired:
                          type: boolean
                          description: >-
                            Whether an auth config is required for this
                            authentication type
                        inputSchema:
                          type: object
                          description: >-
                            JSON Schema describing required input fields for
                            credential creation
                          additionalProperties: true
                        sampleInput:
                          type: object
                          description: Sample input data for this authentication type
                          additionalProperties: true
              example:
                metadata:
                  - authenticationType: oauth2
                    authConfigRequired: false
                    inputSchema:
                      type: object
                      properties:
                        userId:
                          type: string
                          description: User ID of the credential
                        authenticationType:
                          type: string
                          description: Type of authentication method of the connector
                          const: oauth2
                        redirectUri:
                          type: string
                          format: uri
                          description: Redirect URI for OAuth authentication
                      required:
                        - userId
                        - authenticationType
                        - redirectUri
                    sampleInput:
                      userId: 68fe36549000cce448466858
                      authenticationType: oauth2
                      redirectUri: https://example.com
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: Bearer

````